### Method

# St ThemeNode get_double

#### Declaration [src]

    gdouble
    st_theme_node_get_double (
      StThemeNode* node,
      const char* property_name
    )

#### Description [src]

Generically looks up a property containing a single numeric value without units.

See also st_theme_node_lookup_double(), which provides more options, and lets you handle the case where the theme does not specify the indicated value.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the numeric property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gdouble`

The value found. If `property_name` is not found, a warning will be logged and 0 will be returned.